org.encog.util.arrayutil

## Enum NormalizationAction

- java.lang.Object
- - java.lang.Enum<NormalizationAction>
  - - org.encog.util.arrayutil.NormalizationAction

- All Implemented Interfaces:
    Serializable, Comparable<NormalizationAction>

      public enum NormalizationAction
      extends Enum<NormalizationAction>

  Normalization actions desired.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Equilateral` Use the equilateral classification method.
    `Ignore` Ignore this column, do not include in the output.
    `Normalize` Normalize this column.
    `OneOf` Use the "one-of" classification method.
    `PassThrough` Do not normalize the column, just allow it to pass through.
    `SingleField` Use a single-field classification method.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isClassify()`
    `static NormalizationAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static NormalizationAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PassThrough

          public static final NormalizationAction PassThrough

      Do not normalize the column, just allow it to pass through. This allows string fields to pass through as well.

    - #### Normalize

          public static final NormalizationAction Normalize

      Normalize this column.

    - #### Ignore

          public static final NormalizationAction Ignore

      Ignore this column, do not include in the output.

    - #### OneOf

          public static final NormalizationAction OneOf

      Use the "one-of" classification method.

    - #### Equilateral

          public static final NormalizationAction Equilateral

      Use the equilateral classification method.

    - #### SingleField

          public static final NormalizationAction SingleField

      Use a single-field classification method.

  - ### Method Detail

    - #### values

          public static NormalizationAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NormalizationAction c : NormalizationAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NormalizationAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isClassify

          public boolean isClassify()

      Returns:
        True, if this is a classify.

Copyright © 2014. All Rights Reserved.